%define unstable 1

Name:       piklab
Version:    0.15.10
Release:    3%{?dist}
Summary:    Development environment for applications based on PIC & dsPIC microcontrollers
Summary(fr):IDE pour applications à base de microcontrôleurs PIC et de dsPIC

Group:      Development/Tools
License:    GPLv2+
URL:        http://piklab.sourceforge.net

Source:     http://switch.dl.sourceforge.net/piklab/%{name}-%{version}.tar.bz2
Source1:    %{name}-026-microchip.rules
Source2:    %{name}-icd2.perms
Source3:    %{name}-pickit1.perms
Source4:    %{name}-pickit2.perms
Source5:    %{name}-README.Fedora
Source6:    %{name}-LISEZMOI.Fedora

Patch0:     %{name}-0.15.3.desktop-fr.patch
Patch1:     %{name}-0.12.1.x-desktop-fr.patch
Patch2:     %{name}-0.15.8.use-fedora-docdir.patch
Patch3:     %{name}-0.15.10-gcc46.patch


BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils, kdelibs3-devel, libusb-devel, readline-devel
BuildRequires:  cmake
# Needed for FC6
BuildRequires:  ncurses-devel, gettext

Requires: electronics-menu

%description
Piklab is a graphic development environment for PIC and dsPIC microcontrollers.
It interfaces with various toolchains for compiling and assembling and it
supports several Microchip and direct programmers.

WARNING: Administrator have to see the README.Fedora file locate
in the %{_docdir}/%{name}-%{version} directory
to complete full feature installation.

%description -l fr
Piklab est un environnement de développement graphique pour les
microcontrôleurs PIC et dsPIC. Il s'interface avec diverses chaînes d'outils
pour la compilation et l'assemblage et gère plusieurs programmateurs y compris
ceux de Microchip.

ATTENTION : l'installateur du paquetage doit lire le fichier LISEZMOI.Fedora,
situé dans le répertoire %{_docdir}/%{name}-%{version}, afin de voir
comment finir l'installation.

%prep
%setup -q

%patch0 -p0 -b .desktop-fr
%patch1 -p0 -b .x-desktop-fr
%patch2 -p0 -b .use-fedora-docdir
%patch3 -p1 -b .gcc46

%{__install} -pm 644 %{SOURCE5} README.Fedora
%{__install} -pm 644 %{SOURCE6} LISEZMOI.Fedora


%build
%cmake

%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install

desktop-file-install --vendor=fedora \
  --dir %{buildroot}%{_datadir}/applications \
  --remove-category "Development" \
  --remove-category "IDE" \
  --delete-original \
  %{buildroot}/usr/share/applications/kde/piklab.desktop

%{__install} -d %{buildroot}%{_sysconfdir}/udev/rules.d/
%{__install} -d %{buildroot}%{_sysconfdir}/security/console.perms.d/
%{__install} -pm 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/udev/rules.d/026-microchip.rules
%{__install} -pm 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/security/console.perms.d/icd2.perms
%{__install} -pm 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/security/console.perms.d/pickit1.perms
%{__install} -pm 644 %{SOURCE4} %{buildroot}%{_sysconfdir}/security/console.perms.d/pickit2.perms


# Fix absolute symlink
%{__rm} -f %{buildroot}%{_docdir}/HTML/*/%{name}/common
BKP_PWD=`pwd`
cd %{buildroot}%{_docdir}/HTML/en/%{name}/
ln -s ../common .
cd $BKP_PWD

%find_lang %{name}


%clean
%{__rm} -rf %{buildroot}


%post
touch --no-create %{_datadir}/icons/hicolor || :
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :
update-mime-database %{_datadir}/mime &> /dev/null || :


%postun
if [ $1 -eq 0 ]
then
  touch --no-create %{_datadir}/icons/hicolor || :
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :
update-mime-database %{_datadir}/mime &> /dev/null || :


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-, root, root)
%doc Changelog COPYING README TODO README.Fedora LISEZMOI.Fedora
%{_bindir}/*
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/apps/%{name}/
%{_datadir}/apps/katepart/syntax/*
%{_datadir}/doc/HTML/en/%{name}/
%{_datadir}/icons/hicolor/*/*/*.png
%{_mandir}/man1/*
%{_datadir}/mimelnk/application/x-%{name}.desktop
%config(noreplace) %{_sysconfdir}/udev/rules.d/026-microchip.rules
%config(noreplace) %{_sysconfdir}/security/console.perms.d/*.perms

%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 31 2011  Kevin Kofler <Kevin@tigcc.ticalc.org> 0.5.10-2
  - Fix FTBFS with GCC 4.6

* Sat Jan 29 2011  Alain Portal <alain.portal[AT]univ-montp2[DOT]fr> 0.15.10-1
  - New upstream version
  - Fix rules (BZ #594932), patch from David Dillow

* Sat May 22 2010  Alain Portal <alain.portal[AT]univ-montp2[DOT]fr> 0.15.8-3
  - Change name of likeback icons to fix BZ #594932

* Thu May 20 2010  Alain Portal <alain.portal[AT]univ-montp2[DOT]fr> 0.15.8-2
  - Fix makefile http://fedoraproject.org/wiki/UnderstandingDSOLinkChange

* Tue May  4 2010  Alain Portal <alain.portal[AT]univ-montp2[DOT]fr> 0.15.8-1
  - New upstream version
  - Remove patch10 that are no more needed
  - piklab use now cmake
  - Patch to add icd2 programmer support for 18F88X, 12F609/615, 16F610
  - Patch to remove doc installation also installed in docdir

* Mon Mar 15 2010  Alain Portal <alain.portal[AT]univ-montp2[DOT]fr> 0.15.7-2
  - Add a patch to fix a bug that didn't allow to find gpsim

* Wed Mar 10 2010  Alain Portal <alain.portal[AT]univ-montp2[DOT]fr> 0.15.7-1
  - New upstream version
  - Remove patches 2 & 3 that are no more needed

* Sun Feb  7 2010  Alain Portal <alain.portal[AT]univ-montp2[DOT]fr> 0.15.3-5
  - Fix typo: this is Piklab, not Pikdev
  - New desktop-fr patch
  - Update and apply patch2
  - Add update-mime-database in scriptlets
  - Update gtk-update-icon-cache use in scriptlets
  - Add %%posttrans scriptlet

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Nov 10 2008 Thibault North <tnorth [AT] fedoraproject DOT org> - 0.15.3-2
  - Fix %%patch3

* Sat Jun 07 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.15.3-1
  - New upstream release
  - compiling with Qt 3.3

* Fri Jun 06 2008  Aanjhan Ranganathan <aanjhan [AT] tuxmaniac[DOT]com> 0.15.0-2
  - Fixed build issues with Fedora 9
  - Changed build dep from kdelibs-devel to kdelibs3-devel

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.15.0-2
  - Autorebuild for GCC 4.3

* Mon Oct 22 2007  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.15.0-1
  - New upstream version
  - Update %%patch2

* Sun Sep 02 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.14.5-2
  - fixing desktop file

* Fri Aug 17 2007  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.14.5-1
  - New upstream version
  - %%patch0 is no more needed
  - Update %%patch2
  - Add man pages
  - New Licence GPLv2+

* Sat Jul 21 2007  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.14.2-4
  - Remove QT from Categories

* Sat Jul 21 2007  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.14.2-3
  - Update Source1 to change the usb udev rules. Fix #249029

* Sun Apr 15 2007  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.14.2-2
  - Add patch to complete french translation

* Sat Apr 14 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.14.2-1
  - New upstream release

* Mon Mar 12 2007  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.14.1-1
  - New upstream version
  - %%patch2 is no more needed

* Fri Mar  9 2007  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.14.0-2
  - Update {LISEZMOI,README}.Fedora files to tell administrator to modify
    PATH in /etc/profile for users to be able to use SDCC Compiler

* Wed Mar  7 2007  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.14.0-1
  - New upstream version
  - Update %%patch2

* Mon Feb 26 2007  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.13.3-2.fc6.1
  - Really add patch

* Mon Feb 26 2007  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.13.3-2
  - Add patch to complete french translation

* Mon Feb 12 2007  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.13.3-1
  - New upstream version

* Wed Nov 15 2006  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.12.2-3
  - Fix EVR.

* Tue Nov 14 2006  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.12.2-1
  - New upstream version

* Mon Oct 16 2006  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.12.1-1
  - New upstream version

* Mon Oct  2 2006  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.12.0-3
  - Upstream rebuilt tarball :-(

* Mon Oct  2 2006  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.12.0-2
  - Add BR gettext since there is now translation

* Mon Oct  2 2006  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.12.0-1
  - New upstream version
  - Remove patch1 that is no more needed

* Fri Sep 29 2006  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.11.3-5
  - Fix typo in pickit2.perms

* Fri Sep 29 2006  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.11.3-4
  - Fix typo for installing pickit2.perms
  - Add Application category in desktop file
  - Fix symlink: english is the only language where common directory is in
  LANG directory while for other, common is in LANG/docs directory

* Fri Sep 29 2006  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.11.3-3
  - Add doc about how to complete full feature installation
  - Fix typo on security pathname
  - Short summary
  - Add BR ncurses-devel for FC6

* Thu Sep 28 2006  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.11.3-2
  - Remove duplicate BR
  - Fix files permissions
  - Improve download URL
  - Don't mis space and tab

* Wed Sep 27 2006  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.11.3-1
  - Initial Fedora package
  - Fedorize the Mandriva spec file from Nicolas Hadacek
